petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoDefaultMonitor

Default routine for monitoring progress of the Tao solvers (default). This monitor prints the function value and gradient norm at each iteration. It can be turned on from the command line using the -tao_monitor option

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultMonitor(Tao tao, void *ctx)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| ctx | - PetscViewer context or NULL

### Options Database Keys

-tao_monitor -

### See Also

TaoDefaultSMonitor(), TaoSetMonitor()

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages